commit:     89e9bf9ecac1e7956e0f87ac618af2d9f2c9f948
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 17 01:30:48 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Feb 17 01:38:19 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89e9bf9e

dev-python/testresources: 2.0.1 bup

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/testresources/Manifest                  |  1 +
 .../testresources/testresources-2.0.1.ebuild       | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/testresources/Manifest 
b/dev-python/testresources/Manifest
index 1c11a289b0e..4072319a429 100644
--- a/dev-python/testresources/Manifest
+++ b/dev-python/testresources/Manifest
@@ -1,2 +1,3 @@
 DIST testresources-0.2.7.tar.gz 32050 BLAKE2B 
9ff16d2e33d7b528598d2f5b903e57625018ecbfd9484dab0d8a7d922429cc8d35dada91d84c897c426e06e01b7bd0befe23814996f4aa7b0651148edaa6f246
 SHA512 
29518f7326272c56a5f2f3f1f7741959dde9265ba5ce7e0c7d7afabd91bd44a519d1cad82a11a41944ff12d65e541536476f87afcac9a7cbb4869743a38547b7
 DIST testresources-1.0.0.tar.gz 44501 BLAKE2B 
a10cbf562241ee2a756a5de6a9334ff664db7569d3459548d4a9042ab8dffd0d715c16616ffe08ec86ad4a0b4940e0c09b83b57f7bea86b35b6f728e55384fe3
 SHA512 
7c9f9cbcc62066ab4a75d68780d88925484eeee23e2e0ef0395b63ec2a92968a6969d1bd6f483945e32ff5566e686b426f2f37daf4f803d2ef779032ea97cc6b
+DIST testresources-2.0.1.tar.gz 41948 BLAKE2B 
81f597099eb17090cfa759c2fc4e30be2de3f749760e6a0e88e4c5484c91fe6a00d1296ec6ba7dc5aea1bcd0f9239989fab8fbb4f211b6c5bf031ff1be4b803b
 SHA512 
0b23432b019400fe378e957d14a91083eef7fe1130a494b567a5274d69e4e8e09ab75861e5453c3f217507e144cf179c908f84dd1a807992d4bee0b8d32cb0f4

diff --git a/dev-python/testresources/testresources-2.0.1.ebuild 
b/dev-python/testresources/testresources-2.0.1.ebuild
new file mode 100644
index 00000000000..4a1ae5d86e3
--- /dev/null
+++ b/dev-python/testresources/testresources-2.0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A pyunit extension for managing expensive test resources"
+HOMEPAGE="https://launchpad.net/testresources";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/testtools[${PYTHON_USEDEP}]
+               dev-python/fixtures[${PYTHON_USEDEP}]
+       )"
+RDEPEND=""
+
+python_prepare_all() {
+       sed \
+               -e 's:testBasicSortTests:_&:g' \
+               -i testresources/tests/test_optimising_test_suite.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests --verbose || die "Tests failed under ${EPYTHON}"
+}

Reply via email to